> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/storelayoutclusters/insert#auth).

Inserts a new cluster in a page.

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/storeLayout/pages/pageId/clusters
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `pageId` | `string` | The ID of the page. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply a [Storelayoutclusters resource](https://developers.google.com/android/work/play/emm-api/v1/storelayoutclusters#resource).

## Response

If successful, this method returns a [Storelayoutclusters resource](https://developers.google.com/android/work/play/emm-api/v1/storelayoutclusters#resource) in the response body.